[osg-users] fails compilation on linux (Ubuntu Feisty Fawn)

Rafa Gaitan rafa.gaitan at gmail.com
Tue Sep 11 06:40:22 PDT 2007


Hi Robert,

I'm really curious in the error I'm getting trying to compile
svn version:
OSG-SVN/OpenSceneGraph-g++-4.1/include/osg/Uniform:169: error:
'GL_SAMPLER_1D_ARRAY_EXT' was not declared in this scope
OSG-SVN/OpenSceneGraph-g++-4.1/include/osg/Uniform:170: error:
'GL_SAMPLER_2D_ARRAY_EXT' was not declared in this scope
OSG-SVN/OpenSceneGraph-g++-4.1/include/osg/Uniform:171: error:
'GL_SAMPLER_1D_ARRAY_SHADOW_EXT' was not declared in this scope
OSG-SVN/OpenSceneGraph-g++-4.1/include/osg/Uniform:172: error:
'GL_SAMPLER_2D_ARRAY_SHADOW_EXT' was not declared in this scope


following the headers.. I found that GL_SAMPLER_*_ARRAY_EXT
and the others are defined inside GL2Extensions, but only if
GL_VERSION_2_1 is not defined.  Seeing in the GL headers of
my system I have realized that GL_VERSION_2_1 is defined in
/usr/include/GL/glext.h.. so, those defines are never created.

I thought that if my system support 2.1 version of OpenGL the
defines should be defined there.. but is not my case. Has anyone
report similar problems?. Maybe is required to add some
checks before define this inside Uniform header, but I don't
know how is the better way to solve it.

Rafa.


-- 
Rafael Gaitán Linares
Instituto de Automática e Informática Industrial  http://www.ai2.upv.es
Ciudad Politécnica de la Innovación
Universidad Politécnica de Valencia
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.openscenegraph.org/pipermail/osg-users-openscenegraph.org/attachments/20070911/ab837c54/attachment-0002.htm>


More information about the osg-users mailing list